# Uses of Class
writer2latex.office.OfficeReader

Packages that use OfficeReader
Package
Description
writer2latex.base
writer2latex.bibtex
writer2latex.latex
writer2latex.latex.i18n
writer2latex.office
writer2latex.xhtml

## Uses of OfficeReader in writer2latex.base

Fields in writer2latex.base declared as OfficeReader
Modifier and Type
Field
Description
`protected OfficeReader`
ConverterBase.`ofr`
Constructors in writer2latex.base with parameters of type OfficeReader
Modifier
Constructor
Description
`protected`
`BibliographyGenerator(OfficeReader ofr, boolean bSkipKey)`
Create a new bibliography generator based on a bibliography configuration and a list of bibliography marks
``
`ImageConverter(OfficeReader ofr, boolean bDestructive, boolean bExtractEPS)`
Construct a new `ImageConverter` referring to a specific document

## Uses of OfficeReader in writer2latex.bibtex

Constructors in writer2latex.bibtex with parameters of type OfficeReader
Modifier
Constructor
Description
``
`BibTeXDocument(String sName, boolean bIsMaster, OfficeReader ofr)`
Constructs a new BibTeX Document based on an office document

## Uses of OfficeReader in writer2latex.latex

Constructors in writer2latex.latex with parameters of type OfficeReader
Modifier
Constructor
Description
``
`BlockConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`CaptionConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`CharStyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `CharStyleConverter`.
``
`ColorConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `CharStyleConverter`.
``
`DrawConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`FieldConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`HeadingConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `HeadingConverter`.
``
`IndexConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new `IndexConverter`.
``
`InlineConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`ListConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new `ListConverter`
``
`MathConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`NoteConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`PageStyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `PageStyleConverter`.
``
`ParConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `ParConverter`.
``
`SectionConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `SectionStyleConverter`.
`protected`
`StyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
``
`TableConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `TableConverter`.
``
`TableFormatter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette, TableReader table, boolean bAllowPageBreak, boolean bIsInTable)`
Constructor: Create from a TableReader.

## Uses of OfficeReader in writer2latex.latex.i18n

Fields in writer2latex.latex.i18n declared as OfficeReader
Modifier and Type
Field
Description
`protected OfficeReader`
I18n.`ofr`
Constructors in writer2latex.latex.i18n with parameters of type OfficeReader
Modifier
Constructor
Description
``
`ClassicI18n(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new ClassicI18n as ConverterHelper
``
`I18n(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new I18n as ConverterHelper
``
`XeTeXI18n(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new XeTeXI18n as ConverterHelper

## Uses of OfficeReader in writer2latex.office

Constructors in writer2latex.office with parameters of type OfficeReader
Modifier
Constructor
Description
``
`TableReader(OfficeReader ofr, Element tableNode)`
The constructor reads a table from a table:table or table:sub-table node.

## Uses of OfficeReader in writer2latex.xhtml

Constructors in writer2latex.xhtml with parameters of type OfficeReader
Modifier
Constructor
Description
``
`CellStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `CellStyleConverter`
``
`DrawConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`FrameStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `FrameStyleConverter`
``
`HeadingStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
``
`ListStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `ListStyleConverter`
``
`LOFConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`LOTConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`MathConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, boolean bSupportMathML)`
Create a new `MathConverter`
``
`PageStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `PageStyleConverter`
``
`ParStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `ParStyleConverter`
``
`PresentationStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `PresentationStyleConverter`
``
`RowStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `RowStyleConverter`
``
`SectionStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `SectionStyleConverter`
``
`StyleConverterHelper(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `StyleConverterHelper`
``
`StyleWithPropertiesConverterHelper(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `StyleWithPropertiesConverterHelper`
``
`TableConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`TableStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `TableStyleConverter`
``
`TextConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`TextStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `TextStyleConverter`